moonwalker:
  Type: armor_stand
  Options:
    Invincible: true
    HasArms: true
    ItemBody: COS_GreenChest
    ItemFeet: COS_BlueFeet
    ItemHand: COS_IronSword
    ItemHead: BlackbeardHead
    ItemLegs: COS_YellowLegs
  Skills:
  - asinit{anim=Example1.anim;mobtype=aimob} @self ~onSpawn
  - asanimate{r=20;d=0} @self ~onTimer:20
  - skill{s=makeAttack} @trigger ~onAttack
  - skill{s=playDamage} @trigger ~onDamaged 
  - message{msg="You killed me!"} @trigger ~onSignal:DEATH
  
aimob:
  Type: zombie
  Options:
    Silent: true
    PreventOtherDrops: true
  AIGoalSelectors:
    - 0 clear
    - 1 meleeattack
    - 2 randomstroll
    - 3 float
  AITargetSelectors:
    - 0 clear
    - 1 players
  
winkemann:
  Type: armor_stand
  Options:
    HasArms: true
    ItemBody: COS_GreenChest
    ItemFeet: COS_BlueFeet
    ItemHand: COS_IronSword
    ItemHead: BlackbeardHead
    ItemLegs: COS_YellowLegs
  Skills:
  - asinit{anim=winke.anim;base=false;ai=true} @self ~onSpawn 1
  - asunload @self ~onInteract 1

hampelmann:
  Type: armor_stand
  Options:
    HasArms: true
    ItemBody: COS_GreenChest
    ItemFeet: COS_BlueFeet
    ItemHand: COS_IronSword
    ItemHead: BlackbeardHead
    ItemLegs: COS_YellowLegs
  Skills:
  - asinit{anim=Example2.anim} @self ~onSpawn 1
  - asanimate{anim=Example2.anim;r=20;d=0} @self ~onTimer:20 1
  - skill{s=animatorskill} @self ~onInteract 1
  
flipmann:
  Type: armor_stand
  Options:
    HasArms: true
    ItemBody: COS_GreenChest
    ItemFeet: COS_BlueFeet
    ItemHand: COS_IronSword
    ItemHead: BlackbeardHead
    ItemLegs: COS_YellowLegs
  Skills:
  - asinit{anim=flip.anim} @self ~onSpawn 1
  - asanimate{anim=flip.anim;r=20;d=0} @self ~onTimer:20 1
  
walker:
  Type: armor_stand
  Options:
    HasArms: true
    ItemBody: COS_GreenChest
    ItemFeet: COS_BlueFeet
    ItemHand: COS_IronSword
    ItemHead: BlackbeardHead
    ItemLegs: COS_YellowLegs
  Riding: cart
  Skills:
  - asinit{anim=Example1.anim} @self ~onSpawn 1
  - asanimate{anim=Example1.anim;r=20;d=0} @self ~onTimer:20 1
  
Rudolf:
  Mobtype: rabbit
  Options:
    MovementSpeed: 0.5
    PreventRenaming: true
    Invincible: true
  Skills:
#  - potion{type=INVISIBILITY;duration=4000;level=1} @self ~onSpawn 1
